Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::vrml97_node::extrusion_node::set_scale_listener Class Reference

Inheritance diagram for openvrml::vrml97_node::extrusion_node::set_scale_listener:

[legend]
List of all members.

## Detailed Description

set_scale event handler.

For internal use only.

## Public Member Functions
| set_scale_listener (extrusion_node &node)
| Construct.
virtual | ~set_scale_listener () throw ()
| Destroy.
## Private Member Functions
virtual void | do_process_event (const mfvec2f &scale, double timestamp) throw (std::bad_alloc)
| Process event.

## Constructor & Destructor Documentation

openvrml::vrml97_node::extrusion_node::set_scale_listener::set_scale_listener | ( | extrusion_node & | node | ) | `[explicit]`

  | Construct. Parameters:
  | node | extrusion_node.

openvrml::vrml97_node::extrusion_node::set_scale_listener::~set_scale_listener | ( |  | ) | throw ()`[virtual]`

| Destroy.

## Member Function Documentation

void openvrml::vrml97_node::extrusion_node::set_scale_listener::do_process_event | ( | const mfvec2f & | scale,
|  | double | timestamp
| ) | throw (std::bad_alloc)`[private, virtual]`

  | Process event. Parameters:
  | scale | scale value.
  | timestamp | the current time.
  Exceptions:
  | std::bad_alloc | if memory allocation fails.
Implements openvrml::field_value_listener< mfvec2f >.